Skip to content

Cancel a reservation

PUT
/v1/rezdy/cancellation/{product_id}

Cancel a reservation

Authorizations

api_key
Type
API Key (header: X-Api-Key)

Parameters

Path Parameters

product_id*
Type
string
Required

Request Body

application/json
JSON
{
  
"orderNumber": null,
  
"status": "string",
  
"resellerId": null,
  
"resellerName": null,
  
"resellerAlias": null,
  
"customer": {
  
  
"firstName": null,
  
  
"lastName": null,
  
  
"email": null,
  
  
"mobile": null,
  
  
"phone": null,
  
  
"preferredLanguage": null,
  
  
"addressLine": null,
  
  
"postCode": null,
  
  
"countryCode": null,
  
  
"dob": null
  
},
  
"items": [
  
  
{
  
  
  
"productCode": "string",
  
  
  
"totalQuantity": 0,
  
  
  
"quantities": [
  
  
  
  
{
  
  
  
  
  
"optionLabel": "string",
  
  
  
  
  
"value": 0,
  
  
  
  
  
"optionPrice": 0
  
  
  
  
}
  
  
  
],
  
  
  
"participants": [
  
  
  
  
{
  
  
  
  
  
"fields": [
  
  
  
  
  
  
{
  
  
  
  
  
  
  
"label": "string",
  
  
  
  
  
  
  
"value": "string"
  
  
  
  
  
  
}
  
  
  
  
  
]
  
  
  
  
}
  
  
  
],
  
  
  
"productName": null,
  
  
  
"externalProductCode": null,
  
  
  
"startTime": null,
  
  
  
"endTime": null,
  
  
  
"startTimeLocal": null,
  
  
  
"endTimeLocal": null,
  
  
  
"amount": null
  
  
}
  
],
  
"totalAmount": null,
  
"totalCurrency": null,
  
"totalPaid": null,
  
"comments": null,
  
"internalNotes": null,
  
"fields": [
  
  
{
  
  
  
"label": "string",
  
  
  
"value": "string"
  
  
}
  
],
  
"resellerComments": null,
  
"resellerReference": null
}

Responses

OK

Playground

Server
Authorization
Variables
Key
Value
Body

Samples